Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.math.ec
Class ECFieldElement.AbstractFp

    java.lang.Object
      org.bouncycastle.math.ec.ECFieldElement
          org.bouncycastle.math.ec.ECFieldElement.AbstractFp

All Implemented Interfaces:
  ECConstants

Direct Known Subclasses:
  Curve25519FieldElement, ECFieldElement.Fp, SecP128R1FieldElement, SecP160R1FieldElement, SecP160R2FieldElement, SecP192K1FieldElement, SecP192R1FieldElement, SecP224K1FieldElement, SecP224R1FieldElement, SecP256K1FieldElement, SecP256R1FieldElement, SecP384R1FieldElement, SecP521R1FieldElement, SM2P256V1FieldElement

Enclosing class:
  ECFieldElement

public abstract static class ECFieldElement.AbstractFp
extends ECFieldElement

Nested Class Summary

Nested classes inherited from class org.bouncycastle.math.ec.ECFieldElement
`ECFieldElement.AbstractF2m, ECFieldElement.AbstractFp, ECFieldElement.F2m, ECFieldElement.Fp`

Field Summary

Fields inherited from interface org.bouncycastle.math.ec.ECConstants
`EIGHT, FOUR, ONE, THREE, TWO, ZERO`

Constructor Summary
`ECFieldElement.AbstractFp()`

Methods inherited from class org.bouncycastle.math.ec.ECFieldElement
`add, addOne, bitLength, divide, encodeTo, getEncoded, getEncodedLength, getFieldName, getFieldSize, invert, isOne, isZero, multiply, multiplyMinusProduct, multiplyPlusProduct, negate, sqrt, square, squareMinusProduct, squarePlusProduct, squarePow, subtract, testBitZero, toBigInteger, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ECFieldElement.AbstractFp

    public ECFieldElement.AbstractFp()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD